﻿@import url('ocassion.css');

body {
}

.all-main {
    padding: 15px;
}

.hero-ocassion {
    background-image: url('assets/trans-image.png');
  
    background-size: cover;
    background-position: center;
    padding: 20px;
    height: 80vh;
    border-radius: 20px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.parent {
    display: flex;
    width: 100%;
    height: auto;
    flex-wrap: wrap;
}

.line {
    display: block;
    line-height: 1.2;
    margin: 0;
}

    .line:last-child {
        margin-bottom: 0;
    }

.child-all {
    box-sizing: border-box;
}

.child-1 {
    flex: 1 1 25%;
}

    .child-1.exper-text {
        background-color: #B6814F;
        color: white;
    }

.child-2 {
    flex: 1 1 25%;
    background-image: url('assets/Rectangle 6674.png');
  
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 300px;
}

.child-3 {
    flex: 1 1 50%;
    background: #766D8A;
    padding: 20px;
    box-sizing: border-box;
    height: 300px;
    position: relative;
   
    background-image: url('assets/image-10298.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right center;
}



.text-container {
    padding: 10px;
}

.child-all.child-3 .text-container p {
    font-size: 26px;
    font-weight: 700;
    color: #fff;
    line-height: 1.5;
    margin: 0;
}


@media (max-width: 1200px) {
    .child-1,
    .child-2 {
        flex: 1 1 50%;
    }

    .child-3 {
        flex: 1 1 100%;
    }
}

@media (max-width: 768px) {
    .child-1 {
        flex: 1 1 100%;
    }

    .child-2 {
        flex: 1 1 100%;
        flex-basis: 33.33%;
    }

    .child-3 {
        flex: 1 1 100%;
    }

    .child-all:first-child > .exper-text {
        height: auto; /* Slightly reduce height for medium screens */
        padding: 22px; /* Adjust padding */
        background-color: #B6814F; /* Keeping the same color */
    }

        .child-all:first-child > .exper-text > p:first-of-type {
            font-size: 28px;
            padding: 9px;
            border-left: 3px solid #fff;
            line-height: 1;
        }

    .child-all.child-3 .text-container p {
        font-size: 28px;
    }

    .child-all.child-3 .text-container button {
        margin-top: 15px;
        font-size: 16px;
        padding: 10px 20px;
    }
}

@media (max-width: 468px) {
    .child-1 {
        flex: 1 1 100%;
    }

    .child-2 {
        flex: 1 1 100%;
        display:none;
        flex-basis: 100%
    }

    .child-3 {
        flex: 1 1 100%;
    }

    .child-all:first-child > .exper-text {
        height: auto;
        padding: 20px;
        background-color: #B6814F;
    }

        .child-all:first-child > .exper-text > p:first-of-type {
            font-size: 24px;
            padding: 8px;
            border-left: 3px solid #fff;
            line-height: 1.2;
        }

    .child-all.child-3 .text-container p {
        font-size: 24px;
    }

    .child-all.child-3 .text-container button {
        margin-top: 10px;
        font-size: 14px;
        padding: 8px 16px;
    }
}

.child-all:first-child > .exper-text {
    height: 300px;
    padding: 25px;
    background-color: #B6814F;
    box-sizing: border-box;
}


    .child-all:first-child > .exper-text > p:first-of-type {
        font-size: 28px;
        font-weight: 700;
        color: #fff;
        line-height: 0px;
        padding: 10px;
      
    }


    .child-all:first-child > .exper-text > p:nth-of-type(2) {
        font-size: 16px;
        color: #fff;
        padding: 15px;
        font-weight: 100;
        border-radius: 8px;
        text-align: justify;
        letter-spacing: -0.28px;
    }

.child-all.child-3 .text-container .explore-btn {
    display: inline-block;
    margin-top: 2rem; /* Adjust spacing between <p> and <a> */
    padding: 12px 24px;
    font-size: 18px;
    font-weight: 500;
    color: #fff;
    text-decoration: none;
    border: 1px solid #ffffff;
    border-radius: 4px;
    background: #766D8A;
    transition: background-color 0.5s, color 0.5s, border-color 0.5s, transform 0.7s;
}

    .child-all.child-3 .text-container .explore-btn:hover {
        background-color: #333;
        color: #fff;
        border-color: #fff;
        transform: scale(1.05);
    }


.all-mark {
    display: flex;
    flex-wrap: wrap;
    height:100vh;
}

.twentyfive {
    flex: 1 1 25%;
    padding: 15px;
    box-sizing: border-box;
    background-color: #f0f0f0;
}

.seventyfive {
    flex: 1 1 75%;
   
    box-sizing: border-box;
    background-color: #e0e0e0;
}


@media (min-width: 468px) {
    .twentyfive {
        flex: 1 1 calc(25% - 20px); /* Calculate width for 25% minus padding */
    }

    .seventyfive {
        flex: 1 1 calc(75% - 20px); /* Calculate width for 75% minus padding */
    }
}

@media (min-width: 768px) {
    .twentyfive {
        flex: 1 1 calc(25% - 20px); /* Calculate width for 25% minus padding */
    }

    .seventyfive {
        flex: 1 1 calc(75% - 20px); /* Calculate width for 75% minus padding */
    }
}

.twentyfive {
    background-color: #f0f0f0;
}


.twentyfive {
    overflow: hidden;
    position: relative;
    background: #323232;
}

    .twentyfive .marquee-wrapper {
        overflow: hidden;
    }

    .twentyfive .marquee-block {
        width: 100%;
        height: 90vh;
        overflow: hidden;
        position: relative;
        padding: 30px 0;
    }

@keyframes marqueeUp {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-100%);
    }
}


.bg-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
   
    z-index: -1;
    border-radius: 10px;
    pointer-events: none;
}

.marquee-inner.to-up {
    animation: marqueeUp 15s linear infinite;
}

.twentyfive .marquee-inner {
    display: block;
    height: 100%;
    position: relative;
}

    .twentyfive.marquee-inner.marquee-item {
        width: 50%;
        display: inline-block;
        vertical-align: top;
        box-sizing: border-box;
        height: 100%;
        transition: background-color 0.3s ease, transform 0.3s ease;
    }

.mark-container {
    background-color: white;
    padding: 10px;
    border: 1px solid white;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 20px;
    transition: background-color 0.5s ease, color 0.5s ease, border-color 0.5s ease;
}

    .mark-container:hover {
        background-color: #fdf1d7;
        cursor: pointer;
    }

    .mark-container.active {
        background-color: #fdf1d7;
        border-top: 8px solid #f6b93b;
        border-bottom: 8px solid #f6b93b;
        border-left: 8px solid #f6b93b;
        border-right: 8px solid #f6b93b;
        z-index: 1;
    }


    .mark-container:not(.active) {
        opacity: 0.9;
    }

    .mark-container.active:hover {
        transform: translateY(-4px) scale(1.06);
    }

.mark-content {
    margin-top: 10px;
    color: white;
}

    .mark-content p:first-child {
        font-size: 16px;
        font-weight: bold;
        color: black;
    }

    .mark-content p:nth-child(2) {
        font-size: 14px;
        line-height: 1.2;
        color: black;
    }

.marquee-item {
    border-radius: 10px;
    width: 100%;
    box-sizing: border-box;
    padding: 5px;
    border: 2px solid #ccc;
    display: block;
    transition: all .2s ease-out;
}

@media (max-width: 768px) {
    .twentyfive .marquee-item {
        width: 100%;
    }
}

.all-video {
    position: relative;
    width: 100%;
   
    overflow: hidden;
}

.new-video-class {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
    pointer-events: none;
    background: #000;
}

.all-video-content {
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 1;
    color: #fff;
}

.view-itinerary-btn {
    position: absolute;
    top: 12px;
    right: 9px;
    margin: 0 auto;
    padding: 14px 40px 14px 40px;
    background: #f6b93b;
    border: 1px solid #000000;
    border-radius: 4px;
    box-shadow: 0 0 0 0 #000000;
    cursor: pointer;
    border-radius: 5px;
    color: #000000;
    font-size: 16px;
    font-weight: 500;
    line-height: 14px;
    outline: none;
    transition: background-color 0.3s ease;
}

    .view-itinerary-btn:hover {
        background-color: #B6814F;
        color: white;
    }

.book-design {
    display: flex;
    justify-content: space-between;
    width: calc(100% - 40px);
    position: absolute;
    bottom: 0;
    background: #fff;
    margin: 20px;
    border-radius: 15px;
}

.exp-part {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 10px;
}

.first-div {
    margin-right: auto;
}

.second-div {
    align-items: center;
    display: flex;
    gap: 10px;
    margin-left: auto;
}

.button {
    padding: 10px 20px;
  
    color: #fff;
    border: none;
    cursor: pointer;
    margin-left: 10px;
    transition: background-color 0.3s ease;
}

.button-1 {
     background-color: #007bff;
}

.button-2 {
    border-radius: 4px;
    border: 1.5px solid #4B70E2 !important;
    background: #F7F7F7;
    color: #4B70E2 !important;
}

.button-1:hover {
    background-color: #218838;
}

.button-2:hover {
    background-color: #c82333;
}

.experience-title {
    font-size: 14px;
    font-weight: 500;
    line-height: 23px;
    color: #afafaf;
}

.experience-description {
    font-size: 18px;
    font-weight: bold;
    color: #212121;
    font-size: 24px;
    line-height: 27px;
}

.experience-location {
    font-size: 24px;
    font-weight: 300;
    line-height: 23px;
    color: #212121;
}

.carousel-container {
    width: 100%;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
}


.carousel-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.carousel-item {
    min-width: 100%;
    box-sizing: border-box;
}





.book-design {
    position: absolute;
    bottom: 10px;
    left: 10px;
    border-radius: 8px;
    background: #FFF;
    box-shadow: 33.033px -33.033px 33.033px 0px rgba(194, 194, 194, 0.10) inset, -33.033px 33.033px 33.033px 0px rgba(255, 255, 255, 0.10) inset;
    backdrop-filter: blur(33.03333282470703px);
    padding: 10px;
    margin: 10px;
}

.exp-part {
    display: flex;
    justify-content: space-between;
}

.experience-title {
    font-size: 1.2em;
    font-weight: bold;
}

.experience-description {
    font-size: 2em;
}
.trad-part{
    margin-top:2rem;
}
.button {
    padding: 10px;
    margin: 5px;
}
.all-mark{
    overflow:hidden;
}
/* Carousel Navigation */
.carousel-nav {
    position: absolute;
    right: 112px;
    gap: 10px;
    bottom: 15%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
}

    .carousel-nav button {
        background: white;
        color: black;
        border: none;
        font-size: 2rem;
        /* height: 43px; */
        font-weight: 500;
        height: 44px;
        width: 44px;
        border-radius: 50%;
        padding: 10px;
        cursor: pointer;
    }

@media (max-width: 768px) {
    .carousel-container {
        padding: 0 10px;
    }

    .carousel-nav {
        right: 20px;
        bottom: 20px;
        width: auto;
        justify-content: center;
    }

        .carousel-nav button {
            padding: 8px;
            font-size: 0.9em;
        }

    .carousel-item {
        min-width: 100%;
        padding: 0 5px;
    }

    .new-video-class {
        height: auto;
    }

    .book-design {
        position: static;
        margin: 10px 0;
        width: 100%;
        padding: 10px;
        border-radius: 0;
    }

    .exp-part {
        flex-direction: column;
        align-items: flex-start;
    }

    .experience-title {
        font-size: 1em;
    }

    .experience-description {
        font-size: 1.2em;
    }

    .experience-location {
        font-size: 1.2em;
    }

    .button {
        padding: 8px;
        margin: 5px 0;
        font-size: 0.9em;
    }

    .view-itinerary-btn {
        top: 10px;
        right: 10px;
        font-size: 0.9em;
        padding: 8px 16px;
    }
    .all-mark {
       height:auto;
    }
}


@media (max-width: 468px) {
    .carousel-container {
        padding: 0 5px;
    }

    .all-video {
        height: auto;
    }

    .carousel-nav {
        right: 0px;
        bottom: 92px;
        width: 100%;
        justify-content: end;
        position: absolute;
    }

        .carousel-nav button {
            background: darkslateblue;
            padding: 8px;
            font-size: 0.9em;
        }

    .carousel-item {
        min-width: 100%;
        padding: 0 3px;
    }

    .new-video-class {
        height: auto;
    }

    .book-design {
        position: static;
        margin: 10px 0;
        width: 100%;
        margin-top: 2px;
        padding: 8px;
        border-radius: 0;
    }

    .exp-part {
        flex-direction: column;
        align-items: flex-start;
    }

    .experience-title {
        font-size: 0.9em;
    }

    .experience-description {
        font-size: 1em;
    }

    .experience-location {
        font-size: 1em;
    }

    .button {
        padding: 6px;
        margin: 4px 0;
        font-size: 0.8em;
    }

    .view-itinerary-btn {
        top: 8px;
        right: 8px;
        font-size: 0.8em;
        padding: 6px 12px;
    }
}

@media (max-width: 768px) {
    .seventyfive {
        flex: 1 1 100%; /* Take full width */
        padding: 10px;
        width: 100%;
    }
}


@media (max-width: 468px) {
    .seventyfive {
        padding: 5px;
        width: 100%;
    }
}

.exp-life {
    margin-top: 3rem;
    margin-bottom: 0rem;
}

.moment-text p {
    text-align: center;
    text-transform: capitalize;
    letter-spacing: -0.5px;
    font-size: 24px;
    font-weight: 600;
    color: #828282;
}


    .moment-text p span {
        font-weight: 600;
        color: black;
        font-size: 26px;
    }

.image_changes {
    padding: 0 15px; /* Optional padding for spacing */
}

.item {
    position: relative;
    overflow: hidden;
    margin-bottom: 30px; /* Space between items */
}

    .item .image-container {
        position: relative;
        overflow: hidden;
        width: 100%;
        background-size: cover;
        background-position: center;
    }

    .item .background-image {
        position: relative;
        width: 100%;
        height: 100%;
        background-size: cover;
        background-position: center;
    }

    .item .foreground-image {
        position: absolute;
        bottom: -6px;
        right: -90px;
        width: 100%;
    }

        .item .foreground-image img,
        .item .overlay img {
            width: 100%;
            height: 120px;
            object-fit: contain;
            display: block;
            transition: opacity 0.3s ease;
        }

    .item .image-content {
        position: absolute;
        z-index: 3;
        bottom: 0px;
        top: 25px;
        left: 95px;
        /* background-color: rgb(254 254 254 / 70%); */
        color: white;
        padding: 10px;
        display: none;
    }

        .item .image-content p {
            font-size: 12px !important;
            text-align: center;
            color: #333;
            font-size: 13px; /* Example font size */
            text-align: center;
            background: #ffffff;
            padding: 1px 25px;
            border: 1px solid black;
            color: #333;
            border-radius: 24px;
        }

    .item:hover .foreground-image img {
        opacity: 0;
    }

    .item:hover .overlay img {
        opacity: 1;
    }

    .item:hover .image-content {
        opacity: 0;
    }

.circle-all:hover .image-content {
    display: block;
}

.item .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.6s ease;
}

.item:hover .overlay {
    opacity: 1;
}

.item .overlay .overlay-content {
    padding: 10px;
    color: white;
    opacity: 0;
    transition: opacity 0.6s ease;
}

    .item .overlay .overlay-content h3 {
        font-size: 20px;
        margin-bottom: 5px;
        color: white;
    }

    .item .overlay .overlay-content p {
        font-size: 16px;
        line-height: 1.5;
        color: white;
    }

    .item .overlay .overlay-content a.view-itinerary {
        display: inline-block;
        color: white;
        font-size: 16px;
        text-decoration: underline;
        border-radius: 4px;
        transition: background-color 0.3s ease;
    }

.item:hover .overlay .overlay-content {
    opacity: 1;
}

.item .overlay img {
    width: 100%;
    height: 120px;
    object-fit: contain;
    display: block;
    opacity: 0; /* Initially hidden */
    transition: opacity 0.3s ease;
}

.item:hover .overlay img {
    opacity: 1;
}

.circle-all {
    position: absolute;
    bottom: -36px;
    right: -24px;
    height: 180px;
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* padding: 20px; */
    background-color: white;
    border-radius: 50%;
    overflow: hidden;
}

.all-1 {
   

    background-position: center;
    background-size: cover;
    height: 450px;
}


/* Specific styles for each item */
.map-image img {
    width: 100%;
    height: auto;
}

.over-content {
    font-family: Arial, sans-serif;
    color: #333;
    line-height: 1.6;
}

    .over-content p {
        margin: 5px 0; /* Adjusted margin */
        padding: 0; /* Reset padding */
    }

        .over-content p:first-child {
            font-size: 18px;
            font-weight: bold;
        }

        .over-content p:nth-child(2) {
            font-size: 18px;
            font-weight: 700;
            line-height: 27px;
        }

        .over-content p:nth-child(3) {
            color: #727272;
            font-size: 14px;
            font-weight: 300;
            line-height: 23px;
        }

            .over-content p:nth-child(3) span {
                font-size: 14px;
                font-weight: 700;
                color: #727272;
                line-height: 23px;
                text-align: left;
            }

.button-section {
    display: flex;
    margin-top: 10px;
}

.button {
    padding: 10px 20px;
   
    color: #fff;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-right: 5px; /* Adjust margin between buttons */
}

    .button:last-child {
        margin-right: 0; /* Remove margin from last button */
    }

    .button:hover {
        background-color: #0056b3;
        color: white;
    }

.book-trip {
    background: #4b70e2;
    border-radius: 4px;
}

.design-trip {
    background: #f7f7f7;
    color: #4b70e2;
    border: 1.5px solid #4b70e2;
    border-radius: 4px;
}

.owl-image img {
    max-width: 100%;
    height: 200px;
    object-fit: cover;
    display: block;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

@media (max-width: 768px) {
    .image_changes {
        padding: 0 10px;
    }

    .item {
        margin-bottom: 20px;
    }

        .item .background-image {
            height: 300px;
        }

        .item .foreground-image {
            bottom: -4px;
            right: -48px;
            width: 80%;
        }

            .item .foreground-image img,
            .item .overlay img {
                height: 120px;
            }

        .item .image-content {
            top: 15px;
            left: 39px;
        }

            .item .image-content p {
                font-size: 11px;
                padding: 4px;
                margin-top: 19px;
            }

        .item:hover .foreground-image img {
            opacity: 0;
        }

        .item:hover .overlay img {
            opacity: 1;
        }

        .item:hover .image-content {
            opacity: 0;
        }

    .circle-all:hover .image-content {
        display: block;
    }

    .item .overlay {
        opacity: 0;
    }

    .item:hover .overlay {
        opacity: 1;
    }

    .item .overlay .overlay-content {
        padding: 8px; /* Adjust padding for tablets */
    }

        .item .overlay .overlay-content h3 {
            font-size: 18px; /* Reduce font size for tablets */
        }

        .item .overlay .overlay-content p {
            font-size: 14px; /* Reduce font size for tablets */
        }

        .item .overlay .overlay-content a.view-itinerary {
            font-size: 16px; /* Reduce font size for tablets */
        }

    .item .overlay img {
        height: 100px; /* Adjust height for medium screens */
    }

    .circle-all {
        height: 140px;
        width: 140px;
        bottom: -24px;
        right: -16px;
        padding: 15px;
    }

    .all-1, .all-2, .all-3, .all-4 {
        height: 500px;
    }

    .child-3 {
        background-size: 61%;
        background-position: bottom right;
    }
    .hero-ocassion {
        height: 28vh;
    }
    .line {
        display: block;
        font-size: 25px;
       
    }
    .child-all:first-child > .exper-text {
        height:auto;
    }
}

/* Media query for 468px */
@media (max-width: 468px) {
    .image_changes {
        padding: 0 5px;
    }

    .item {
        margin-bottom: 15px;
    }

        .item .background-image {
            height: 250px;
        }

        .item .foreground-image {
            bottom: -2px;
            right: -24px;
            width: 60%;
        }

            .item .foreground-image img,
            .item .overlay img {
                height: 100px;
            }

        .item .image-content {
            top: 10px;
            left: 39px;
        }

            .item .image-content p {
                font-size: 9px;
                padding: 3px;
                margin-top: 19px;
            }

        .item:hover .foreground-image img {
            opacity: 0;
        }

        .item:hover .overlay img {
            opacity: 1;
        }

        .item:hover .image-content {
            opacity: 0;
        }

    .circle-all:hover .image-content {
        display: block;
    }

    .item .overlay {
        opacity: 0;
    }

    .item:hover .overlay {
        opacity: 1;
    }

    .item .overlay .overlay-content {
        padding: 6px;
    }

        .item .overlay .overlay-content h3 {
            font-size: 16px;
        }

        .item .overlay .overlay-content p {
            font-size: 12px;
        }

        .item .overlay .overlay-content a.view-itinerary {
            font-size: 14px;
        }

    .item .overlay img {
        height: 80px;
    }

    .circle-all {
        height: 100px;
        width: 100px;
        bottom: -12px;
        right: -8px;
        padding: 15px;
    }

    .all-1, .all-2, .all-3, .all-4 {
        height: 250px;
    }

    .child-3 {
        background-size: 61%;
        background-position: bottom right;
    }
    .hero-ocassion {
       
        height: 28vh;
        
    }
}
